stages:
  - build
  - dast

include:
  - template: DAST.gitlab-ci.yml

# Deploys the container to the GitLab container registry
deploy:
  services:
  - name: docker:dind
    alias: dind
  image: maven:3.6.3-jdk-11
  stage: build
  script:
#    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
#    - docker pull $CI_REGISTRY_IMAGE:latest || true
    - mvn clean install
    - ls
    - cp target/*.war src/main/docker
    - cd src/main/docker
    - ls
#    - docker build --tag $CI_REGISTRY_IMAGE:$CI_COMMIT_SHA --tag $CI_REGISTRY_IMAGE:latest .
#    - docker push $CI_REGISTRY_IMAGE:$CI_COMMIT_SHA
#    - docker push $CI_REGISTRY_IMAGE:latest
#
#dast:
#  services: # use services to link your app container to the dast job
#    - name: $CI_REGISTRY_IMAGE:$CI_COMMIT_SHA
#      alias: yourapp
#
#variables:
#  DAST_FULL_SCAN_ENABLED: "true" # do a full scan
#  DAST_BROWSER_SCAN: "true" # use the browser-based GitLab DAST crawler